VirtualBox Main API

Public Attributes | List of all members
IGuestOSType Interface Reference
Inheritance diagram for IGuestOSType:

## Public Attributes
readonly attribute wstring | familyId
| Guest OS family identifier string.
readonly attribute wstring | familyDescription
| Human readable description of the guest OS family.
readonly attribute wstring | id
| Guest OS identifier string.
readonly attribute wstring | description
| Human readable description of the guest OS.
readonly attribute boolean | is64Bit
| Returns `true` if the given OS is 64-bit.
readonly attribute boolean | recommendedIOAPIC
| Returns `true` if I/O-APIC recommended for this OS type.
readonly attribute boolean | recommendedVirtEx
| Returns `true` if VT-x or AMD-V recommended for this OS type.
readonly attribute unsigned long | recommendedRAM
| Recommended RAM size in Megabytes.
readonly attribute GraphicsControllerType | recommendedGraphicsController
| Recommended graphics controller type.
readonly attribute unsigned long | recommendedVRAM
| Recommended video RAM size in Megabytes.
readonly attribute boolean | recommended2DVideoAcceleration
| Returns `true` if 2D video acceleration is recommended for this OS type.
readonly attribute boolean | recommended3DAcceleration
| Returns `true` if 3D acceleration is recommended for this OS type.
readonly attribute long long | recommendedHDD
| Recommended hard disk size in bytes.
readonly attribute NetworkAdapterType | adapterType
| Returns recommended network adapter for this OS type.
readonly attribute boolean | recommendedPAE
| Returns `true` if using PAE is recommended for this OS type.
readonly attribute StorageControllerType | recommendedDVDStorageController
| Recommended storage controller type for DVD/CD drives.
readonly attribute StorageBus | recommendedDVDStorageBus
| Recommended storage bus type for DVD/CD drives.
readonly attribute StorageControllerType | recommendedHDStorageController
| Recommended storage controller type for HD drives.
readonly attribute StorageBus | recommendedHDStorageBus
| Recommended storage bus type for HD drives.
readonly attribute FirmwareType | recommendedFirmware
| Recommended firmware type.
readonly attribute boolean | recommendedUSBHID
| Returns `true` if using USB Human Interface Devices, such as keyboard and mouse recommended.
readonly attribute boolean | recommendedHPET
| Returns `true` if using HPET is recommended for this OS type.
readonly attribute boolean | recommendedUSBTablet
| Returns `true` if using a USB Tablet is recommended.
readonly attribute boolean | recommendedRTCUseUTC
| Returns `true` if the RTC of this VM should be set to UTC.
readonly attribute ChipsetType | recommendedChipset
| Recommended chipset type.
readonly attribute IommuType | recommendedIommuType
| Recommended IOMMU type.
readonly attribute AudioControllerType | recommendedAudioController
| Recommended audio controller type.
readonly attribute AudioCodecType | recommendedAudioCodec
| Recommended audio codec type.
readonly attribute boolean | recommendedFloppy
| Returns `true` a floppy drive is recommended for this OS type.
readonly attribute boolean | recommendedUSB
| Returns `true` a USB controller is recommended for this OS type.
readonly attribute boolean | recommendedUSB3
| Returns `true` an xHCI (USB 3) controller is recommended for this OS type.
readonly attribute boolean | recommendedTFReset
| Returns `true` if using VCPU reset on triple fault is recommended for this OS type.
readonly attribute boolean | recommendedX2APIC
| Returns `true` if X2APIC is recommended for this OS type.
readonly attribute unsigned long | recommendedCPUCount
| Number of vCPUs recommended for this OS type.
readonly attribute TpmType | recommendedTpmType
| Returns the recommended trusted platform module type for this OS type.
readonly attribute boolean | recommendedSecureBoot
| Returns `true` if EFI secure boot is recommended for this OS type.
readonly attribute boolean | recommendedWDDMGraphics
| Returns `true` if this OS usually has a WDDM graphics driver from guest additions.

## Detailed Description

Interface ID:
  `{966303D0-36A8-4180-8971-18650B0D1055}`

## Member Data Documentation

## ◆ familyId

readonly attribute wstring IGuestOSType::familyId

Guest OS family identifier string.

## ◆ familyDescription

readonly attribute wstring IGuestOSType::familyDescription

Human readable description of the guest OS family.

## ◆ id

readonly attribute wstring IGuestOSType::id

Guest OS identifier string.

## ◆ description

readonly attribute wstring IGuestOSType::description

Human readable description of the guest OS.

## ◆ is64Bit

readonly attribute boolean IGuestOSType::is64Bit

Returns `true` if the given OS is 64-bit.

## ◆ recommendedIOAPIC

readonly attribute boolean IGuestOSType::recommendedIOAPIC

Returns `true` if I/O-APIC recommended for this OS type.

## ◆ recommendedVirtEx

readonly attribute boolean IGuestOSType::recommendedVirtEx

Returns `true` if VT-x or AMD-V recommended for this OS type.

## ◆ recommendedRAM

readonly attribute unsigned long IGuestOSType::recommendedRAM

Recommended RAM size in Megabytes.

## ◆ recommendedGraphicsController

readonly attribute GraphicsControllerType IGuestOSType::recommendedGraphicsController

Recommended graphics controller type.

## ◆ recommendedVRAM

readonly attribute unsigned long IGuestOSType::recommendedVRAM

Recommended video RAM size in Megabytes.

## ◆ recommended2DVideoAcceleration

readonly attribute boolean IGuestOSType::recommended2DVideoAcceleration

Returns `true` if 2D video acceleration is recommended for this OS type.

## ◆ recommended3DAcceleration

readonly attribute boolean IGuestOSType::recommended3DAcceleration

Returns `true` if 3D acceleration is recommended for this OS type.

## ◆ recommendedHDD

readonly attribute long long IGuestOSType::recommendedHDD

Recommended hard disk size in bytes.

## ◆ adapterType

readonly attribute NetworkAdapterType IGuestOSType::adapterType

Returns recommended network adapter for this OS type.

## ◆ recommendedPAE

readonly attribute boolean IGuestOSType::recommendedPAE

Returns `true` if using PAE is recommended for this OS type.

## ◆ recommendedDVDStorageController

readonly attribute StorageControllerType IGuestOSType::recommendedDVDStorageController

Recommended storage controller type for DVD/CD drives.

## ◆ recommendedDVDStorageBus

readonly attribute StorageBus IGuestOSType::recommendedDVDStorageBus

Recommended storage bus type for DVD/CD drives.

## ◆ recommendedHDStorageController

readonly attribute StorageControllerType IGuestOSType::recommendedHDStorageController

Recommended storage controller type for HD drives.

## ◆ recommendedHDStorageBus

readonly attribute StorageBus IGuestOSType::recommendedHDStorageBus

Recommended storage bus type for HD drives.

## ◆ recommendedFirmware

readonly attribute FirmwareType IGuestOSType::recommendedFirmware

Recommended firmware type.

## ◆ recommendedUSBHID

readonly attribute boolean IGuestOSType::recommendedUSBHID

Returns `true` if using USB Human Interface Devices, such as keyboard and mouse recommended.

## ◆ recommendedHPET

readonly attribute boolean IGuestOSType::recommendedHPET

Returns `true` if using HPET is recommended for this OS type.

## ◆ recommendedUSBTablet

readonly attribute boolean IGuestOSType::recommendedUSBTablet

Returns `true` if using a USB Tablet is recommended.

## ◆ recommendedRTCUseUTC

readonly attribute boolean IGuestOSType::recommendedRTCUseUTC

Returns `true` if the RTC of this VM should be set to UTC.

## ◆ recommendedChipset

readonly attribute ChipsetType IGuestOSType::recommendedChipset

Recommended chipset type.

## ◆ recommendedIommuType

readonly attribute IommuType IGuestOSType::recommendedIommuType

Recommended IOMMU type.

## ◆ recommendedAudioController

readonly attribute AudioControllerType IGuestOSType::recommendedAudioController

Recommended audio controller type.

## ◆ recommendedAudioCodec

readonly attribute AudioCodecType IGuestOSType::recommendedAudioCodec

Recommended audio codec type.

## ◆ recommendedFloppy

readonly attribute boolean IGuestOSType::recommendedFloppy

Returns `true` a floppy drive is recommended for this OS type.

## ◆ recommendedUSB

readonly attribute boolean IGuestOSType::recommendedUSB

Returns `true` a USB controller is recommended for this OS type.

## ◆ recommendedUSB3

readonly attribute boolean IGuestOSType::recommendedUSB3

Returns `true` an xHCI (USB 3) controller is recommended for this OS type.

## ◆ recommendedTFReset

readonly attribute boolean IGuestOSType::recommendedTFReset

Returns `true` if using VCPU reset on triple fault is recommended for this OS type.

## ◆ recommendedX2APIC

readonly attribute boolean IGuestOSType::recommendedX2APIC

Returns `true` if X2APIC is recommended for this OS type.

## ◆ recommendedCPUCount

readonly attribute unsigned long IGuestOSType::recommendedCPUCount

Number of vCPUs recommended for this OS type.

## ◆ recommendedTpmType

readonly attribute TpmType IGuestOSType::recommendedTpmType

Returns the recommended trusted platform module type for this OS type.

## ◆ recommendedSecureBoot

readonly attribute boolean IGuestOSType::recommendedSecureBoot

Returns `true` if EFI secure boot is recommended for this OS type.

## ◆ recommendedWDDMGraphics

readonly attribute boolean IGuestOSType::recommendedWDDMGraphics

Returns `true` if this OS usually has a WDDM graphics driver from guest additions.